%define _disable_ld_no_undefined 1

%define major	0
%define libname %mklibname %{name} %{major}
%define devname %mklibname -d %{name}

%define rel	2
%define rev	0

%if %{rev}
%define release	%mkrel -c %{rev} %{rel}
%else
%define release	%mkrel %{rel}
%endif

Name:		gpsim
Version:	0.32.1
Release:	%{release}
Summary:	A software simulator for Microchip PIC micro-controllers

%if %{rev}
Source0:	%{name}-%{version}-%{rev}.tar.gz
%else
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
%endif
Source1:	mk_tar
Patch0:		gpsim-eXdbm-linking.patch

License:	GPLv2
Group:		Development/Other
Url:		https://gpsim.sourceforge.net/

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glibc-static-devel
BuildRequires:	gputils
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(popt)
BuildRequires:	readline-devel
BuildRequires:	termcap-devel

%description
%{name} is a full-featured software simulator for Microchip PIC micro-controllers
distributed under the GNU General Public License.

It has been designed to be as accurate as possible. Accuracy includes the
entire PIC - from the core to the I/O pins and including all of the internal
peripherals. Thus it's possible to create stimuli and tie them to the /usr/lib64/pkgconfig/gpsim.pc
I/O pins
and test the PIC the same way you would in the real world.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the %{name} dynamic library files.

%package -n %{devname}
Summary:	Headers for developing programs that will use libgpsim
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains %{name} development files.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static --enable-sockets
%make_build

%install
%make_install
find %{buildroot} -name "*.la" -delete

%files
%doc README
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{major}.*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/gpsim.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.32.1-2.mga10
+ Revision: 2222673
- Mageia 10 Mass Rebuild

* Thu May 16 2024 barjac <barjac> 0.32.1-1.mga10
+ Revision: 2064343
- new version 0.32.1
- add .pc file
- update Source0 Url

* Sat Mar 26 2022 umeabot <umeabot> 0.31.0-5.mga9
+ Revision: 1828260
- Mageia 9 Mass Rebuild

* Wed Mar 25 2020 wally <wally> 0.31.0-4.mga8
+ Revision: 1560404
- add patch to fix eXdbm linking
- drop unneeded gtkextra BR (unused since 2016)

* Tue Feb 18 2020 umeabot <umeabot> 0.31.0-3.mga8
+ Revision: 1542167
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.31.0-2.mga8
+ Revision: 1475960
- rebuild for readline

* Mon Nov 11 2019 barjac <barjac> 0.31.0-1.mga8
+ Revision: 1459208
- new version 0.31.0

* Sun Sep 23 2018 umeabot <umeabot> 0.30.0-2.mga7
+ Revision: 1298053
- Mageia 7 Mass Rebuild

* Thu Dec 07 2017 barjac <barjac> 0.30.0-1.mga7
+ Revision: 1181597
- new version 0.30.0

* Mon Oct 02 2017 cjw <cjw> 0.29.0-4.mga7
+ Revision: 1163587
- patch1: fix build with gcc 7

* Mon Sep 05 2016 barjac <barjac> 0.29.0-3.mga6
+ Revision: 1050192
- rebuild for new gtkextra and gputils

* Sun Dec 13 2015 barjac <barjac> 0.29.0-2.mga6
+ Revision: 910077
- rebuild for new libgtkextra

* Sun Sep 27 2015 barjac <barjac> 0.29.0-1.mga6
+ Revision: 884049
- new version 0.29.0

* Wed Oct 15 2014 umeabot <umeabot> 0.27.0-5.mga5
+ Revision: 741070
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.27.0-4.mga5
+ Revision: 679921
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 fwang <fwang> 0.27.0-3.mga5
+ Revision: 602779
- rebuild for new gtkextra

* Sat Oct 19 2013 umeabot <umeabot> 0.27.0-2.mga4
+ Revision: 534210
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 barjac <barjac> 0.27.0-1.mga4
+ Revision: 476457
- new version gpsim-0.27.0
- sorted BRs and used pkgconfig where available
- corrected source0 with full url
- minor edits to mk_tar

* Fri Aug 16 2013 barjac <barjac> 0.26.99-0.2238.1.mga4
+ Revision: 467038
- add mk_tar to create snapshot tarballs
- new snapshot
- imported package gpsim

